﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.DataPresenter.Events;

namespace ActualPositionIssuesSample
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            Loaded += OnLoaded;
        }

        private void OnLoaded(object sender, RoutedEventArgs e)
        {
            XamDataGrid1.FieldLayouts[0].Fields["name"].Visibility = Visibility.Collapsed;
            XamDataGrid1.FieldLayouts[0].Fields["department"].Visibility = Visibility.Collapsed;
        }


        private void OnShowActualPositionButtonClick(object sender, RoutedEventArgs e)
        {
            StringBuilder positionsSet = new StringBuilder();
            foreach (Field field in XamDataGrid1.FieldLayouts[0].Fields)
            {
                positionsSet.AppendLine(field.Name + ": " + field.ActualPosition.Column);
            }

            MessageBox.Show(positionsSet.ToString());

        }

        private void OnShowIndexesButtonClick(object sender, RoutedEventArgs e)
        {
            StringBuilder positionsSet = new StringBuilder();
            foreach (Field field in XamDataGrid1.FieldLayouts[0].Fields)
            {
                positionsSet.AppendLine(field.Name + ": " + field.Index);
            }

            MessageBox.Show(positionsSet.ToString());

        }

        
    }
}
